Page MenuHomePhabricator

Incomplete autocompletion and description at "set service dns forwarding dnssec"
Closed, ResolvedPublicBUG

Description

The DNSSEC Section of the DNS forwarding service, don't have to autocomplete support.
If you start typing one of the possible completions, it justs display the whole list of commands.

tom@gw01# set service dns forwarding dnssec of
Possible completions:
   off          None
   process-no-validate
                None
   process      None
   log-fail     None
   validate     None

About the description,
I'm not fully into the topic, but I think, it should be something like:

Possible completions:
   off          No DNSSEC validation
   process-no-validate      ???
   process      ???
   log-fail     Log invalid DNSSEC Domains?
   validate     Validate DNSSEC Records

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.2.0-RC10
Why the issue appeared?
Implementation mistake
MrFunken created this task.Dec 8 2018, 6:28 PM
c-po claimed this task.Dec 9 2018, 8:38 PM
c-po edited projects, added VyOS 1.2 Crux ( VyOS 1.2.0-rc11); removed VyOS 1.2 Crux.
c-po changed Why the issue appeared? from Will be filled on close to Implementation mistake.
c-po closed this task as Resolved.Dec 9 2018, 8:47 PM
pasik added a subscriber: pasik.Dec 19 2018, 7:35 AM